Skip to main content
`Ctrl`+`K`

# SNESVIGetInactiveSet

Gets the global indices for the inactive set variables (these correspond to the degrees of freedom the linear system is solved on)

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESVIGetInactiveSet(SNES snes, IS *inact)

## Input Parameter

- snes - the `SNES` context

## Output Parameter

- inact - inactive set index set

## Note

See `SNESVINEWTONRSLS` for a concise description of the active and inactive sets

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESVINEWTONRSLS`

## Level

advanced

## Location

src/snes/impls/vi/rs/virs.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages